1. TheQuietRioter's Avatar
    Trying to get all my band members on board with BBM, so we can group up and keep each other on point. So sick of using note style apps. BBM replaces all that.

    My guitarist keeps trying to download the app for his Droid X version 2.3.4, but he gets a message saying BBM is incompatible.

    Is this a common report from people? I'm trying to help him get it downloaded.

    Thanks in advance for your help.
    10-24-13 01:14 AM
  2. Uzi's Avatar
    Minimum ics 4.0

    Posted via CB10
    10-24-13 01:18 AM
  3. arvind1983's Avatar
    Thats not great! A lot of people are still rocking on 2.3 and will never be able to use BBM.
    TheQuietRioter likes this.
    10-24-13 01:21 AM
  4. djdragon's Avatar
    Thats not great! A lot of people are still rocking on 2.3 and will never be able to use BBM.
    Then they should get a BlackBerry 10 device.

    Z10 10.2.0.1791 via CB10
    10-24-13 01:23 AM
  5. zocster's Avatar
    So many cheap Chinese android are now rocking BBM upgrade!

    Sent from my Z10 using Tapatalk
    TheQuietRioter likes this.
    10-24-13 01:26 AM
  6. TheQuietRioter's Avatar
    Well, this sorta sux! I really wanted him to be on BBM with the rest of us. Boy needs to get a newer phone. Like a Z30!! HA!
    10-24-13 01:27 AM
  7. gfondeur's Avatar
    Then they should get a BlackBerry 10 device.
    Z10 10.2.0.1791 via CB10
    hell yeah,
    TheQuietRioter likes this.
    10-24-13 01:29 AM
  8. VR6's Avatar
    Also no love for anyone lower that ios6

    Fired from my Z10
    10-24-13 01:34 AM
  9. Coffee Shampoo's Avatar
    I've faced that problem myself with many friends. Unfortunately I deleted whatsapp and now they're left in the shadows xD

    Posted via CB10
    gfondeur likes this.
    10-24-13 01:34 AM
  10. greenberry666's Avatar
    Blame Google for leaving him on 2.3

    Fable Publishing: C0012255F
    gfondeur and TheQuietRioter like this.
    10-24-13 04:48 AM
  11. KermEd's Avatar
    How about just they get a BB10 device on contract. Having a cheap Android device that isn't updated or supported is just as unacceptable as your perceived "outrageous" BB10 price.

    You get what you pay for.

    Z10 10.2.0.1791 via CB10
    Don't get anything on contract.

    *shudder* why give carriers more power over you?

    Posted via CB from my LE
    gfondeur likes this.
    10-24-13 08:19 AM
  12. arvind1983's Avatar
    Only if BB10 device was not very expensive.

    Then they should get a BlackBerry 10 device.

    Z10 10.2.0.1791 via CB10
    10-24-13 08:29 AM
  13. djdragon's Avatar
    Only if BB10 device was not very expensive.
    How about just they get a BB10 device on contract. Having a cheap Android device that isn't updated or supported is just as unacceptable as your perceived "outrageous" BB10 price.

    You get what you pay for.

    Z10 10.2.0.1791 via CB10
    gfondeur likes this.
    10-24-13 09:06 AM
  14. Neely2005's Avatar
    Only if BB10 device was not very expensive.
    The BlackBerry Z10 is $0 on a 2 Year Contract...


    Posted via CB10
    gfondeur likes this.
    10-24-13 10:07 AM

Similar Threads

  1. BB OS 10.2 any idea when its hitting INDIA?
    By Hitesh Bedi in forum BlackBerry Q10
    Replies: 33
    Last Post: 11-06-13, 04:45 AM
  2. Instagram not working on official OS 10.2
    By oturo in forum BB10 Android App Sideloading
    Replies: 18
    Last Post: 10-24-13, 12:22 PM
  3. BBM - Latest one.
    By Mahmoud Khoori in forum BBM on iOS
    Replies: 1
    Last Post: 10-24-13, 10:51 AM
LINK TO POST COPIED TO CLIPBOARD